<?php

/**
  This function gets used quite a bit in this theme. It basically cleans 
  things up so that I can use various terms in class and ids.
  */

function hunchbaque_id_safe($string) {
  if (is_numeric($string{0})) {
    // if the first character is numeric, add 'n' in front
    $string = 'n'. $string;
  }
  return strtolower(preg_replace('/[^a-zA-Z0-9-]+/', '-', $string));
}

/**
 * Support for IE specific stylesheets. The stylesheets are added via a 
 * multilevel array. The first part is set by the version(s) of IE you are 
 * targetting. The second is the media type your are targetting. The last 
 * is the name of the actual stylesheet.
 */

function hunchbaque_ie() {
  $output = array(
    'IE' => array(
      'screen, projection' => 'ie.css'
    ),
    'lte IE 6' => array(
      'screen, projection' => 'lteie6.css'
    )
  );  
  return $output;
}

function hunchbaque_ie_styles() {
  $ie_css = hunchbaque_ie();
  $output = "\n";
  foreach ($ie_css as $version => $media) {
    $output .= '<!--[if '.$version.']>'."\n";
    foreach ($media as $media => $stylesheet) {
      $output .= '  <style type="text/css" media="'.$media.'">@import "'.base_path().path_to_theme().'/css/'.$stylesheet.'";</style>'."\n";
    }
    $output .= '<![endif]-->'."\n";
  }
  return $output;
}

?>